# $Revision: 1.9 $, $Date: 2011/09/27 13:04:05 $
%define		pkgname	zlib
Summary:	Compression and decompression in the gzip and zlib formats
Name:		ghc-%{pkgname}
Version:	0.5.3.1
Release:	1
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	8fb2988b112e38d04a527b892f770507
URL:		http://hackage.haskell.org/package/zlib/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
This package provides a pure interface for compressing and
decompressing streams of data represented as lazy
'ByteString's. It uses the zlib C library so it has high
performance. It supports the "zlib", "gzip" and "raw"
compression formats.

It provides a convenient high level API suitable for most
tasks and for the few cases where more control is needed it
provides access to the full zlib feature set.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghc-zlib.spec,v $
Revision 1.9  2011/09/27 13:04:05  baggins
- 0.5.3.1

Revision 1.8  2011/02/28 09:27:23  glen
- update packaging, %requires_eq dep on ghc

Revision 1.7  2011/02/24 11:32:08  glen
- release 3

Revision 1.6  2011/02/24 11:09:05  glen
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

Revision 1.5  2010/08/28 00:06:38  baggins
- release 2

Revision 1.4  2010/08/28 00:04:29  baggins
- requires_releq due to very unique ids in packages built with ghc 6.12+

Revision 1.3  2010/08/27 20:29:25  baggins
- updated packaging to new template (ghc 6.12.3+)

Revision 1.2  2010/04/10 16:00:10  baggins
- docdir

Revision 1.1  2010/04/08 22:00:06  baggins
- initial revision

